org.hibernate.search.elasticsearch.analyzer.definition.impl

## Class ElasticsearchNormalizerDefinitionContextImpl

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchNormalizerDefinitionContextImpl

- All Implemented Interfaces:
    ElasticsearchCompositeAnalysisDefinitionContext, ElasticsearchNormalizerDefinitionContext, ElasticsearchAnalysisDefinitionRegistryPopulator

      public class ElasticsearchNormalizerDefinitionContextImpl
      extends Object
      implements ElasticsearchNormalizerDefinitionContext, ElasticsearchAnalysisDefinitionRegistryPopulator

  Author:
    Yoann Rodiere

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Log` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchNormalizerDefinitionContextImpl(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `populate(ElasticsearchAnalysisDefinitionRegistry registry)`
    `ElasticsearchNormalizerDefinitionContext` | `withCharFilters(String... names)` Set the char filters that the normalizer will use.
    `ElasticsearchNormalizerDefinitionContext` | `withTokenFilters(String... names)` Set the token filters that the normalizer will use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final Log LOG

  - ### Constructor Detail

    - #### ElasticsearchNormalizerDefinitionContextImpl

          public ElasticsearchNormalizerDefinitionContextImpl(String name)

  - ### Method Detail

    - #### withCharFilters

          public ElasticsearchNormalizerDefinitionContext withCharFilters(String... names)

      Description copied from interface: `ElasticsearchCompositeAnalysisDefinitionContext`
      Set the char filters that the normalizer will use.
      Specified by:
        `withCharFilters` in interface `ElasticsearchCompositeAnalysisDefinitionContext`
      Parameters:
        `names` - The name of each char filters to use, in order. There must be a corresponding char filter definition on the Elasticsearch server. This can be achieved by defining the char filter `from Hibernate Search`, by configuring the Elasticsearch server directly, or by using built-in tokenizers.
      Returns:
        This context, allowing to chain calls.

    - #### withTokenFilters

          public ElasticsearchNormalizerDefinitionContext withTokenFilters(String... names)

      Description copied from interface: `ElasticsearchCompositeAnalysisDefinitionContext`
      Set the token filters that the normalizer will use.
      Specified by:
        `withTokenFilters` in interface `ElasticsearchCompositeAnalysisDefinitionContext`
      Parameters:
        `names` - The name of the token filters to use, in order. There must be a corresponding token filter definition on the Elasticsearch server. This can be achieved by defining the token filter `from Hibernate Search`, by configuring the Elasticsearch server, or by using built-in tokenizers.
      Returns:
        This context, allowing to chain calls.

    - #### populate

          public void populate(ElasticsearchAnalysisDefinitionRegistry registry)

      Specified by:
        `populate` in interface `ElasticsearchAnalysisDefinitionRegistryPopulator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved